=== debian/control ===
Source: ros-rolling-rc-genicam-driver
Section: misc
Priority: optional
Maintainer: Felix Ruess <felix.ruess@roboception.de>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-cmake-cppcheck, ros-rolling-ament-cmake-xmllint, ros-rolling-ament-lint-auto, ros-rolling-diagnostic-updater, ros-rolling-image-transport, ros-rolling-rc-common-msgs, ros-rolling-rc-genicam-api, ros-rolling-rclcpp, ros-rolling-rclcpp-components, ros-rolling-sensor-msgs, ros-rolling-stereo-msgs, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-rc-genicam-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-diagnostic-updater, ros-rolling-image-transport, ros-rolling-rc-common-msgs, ros-rolling-rc-genicam-api, ros-rolling-rclcpp, ros-rolling-rclcpp-components, ros-rolling-sensor-msgs, ros-rolling-stereo-msgs, ros-rolling-ros-workspace
Description: Driver for rc_visard and rc_cube from Roboception GmbH
