=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Felix Ruess <felix.ruess@roboception.de>
-Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-cmake-cppcheck, ros-rolling-ament-cmake-xmllint, ros-rolling-ament-lint-auto, ros-rolling-diagnostic-updater, ros-rolling-image-transport, ros-rolling-rc-common-msgs, ros-rolling-rc-genicam-api, ros-rolling-rclcpp, ros-rolling-rclcpp-components, ros-rolling-sensor-msgs, ros-rolling-stereo-msgs, ros-rolling-ros-workspace
+Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-cmake-cppcheck <!nocheck>, ros-rolling-ament-cmake-xmllint <!nocheck>, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-diagnostic-updater, ros-rolling-image-transport, ros-rolling-rc-common-msgs, ros-rolling-rc-genicam-api, ros-rolling-rclcpp, ros-rolling-rclcpp-components, ros-rolling-sensor-msgs, ros-rolling-stereo-msgs, ros-rolling-ros-workspace
 Homepage: 
 Standards-Version: 3.9.2
